FLANG

Public Member Functions | Public Attributes | List of all members
Fortran::semantics::EquivalenceObject Struct Reference

## Public Member Functions
| EquivalenceObject (Symbol &symbol, std::vector< ConstantSubscript > subscripts, std::optional< ConstantSubscript > substringStart, parser::CharBlock source)
bool | operator== (const EquivalenceObject &) const
bool | operator< (const EquivalenceObject &) const
std::string | AsFortran () const

## Public Attributes
Symbol & | symbol
std::vector< ConstantSubscript > | subscripts
std::optional< ConstantSubscript > | substringStart
parser::CharBlock | source

The documentation for this struct was generated from the following files:

- include/flang/Semantics/scope.h
- lib/Semantics/scope.cpp